System.Web 2.0.0.0 System.Configuration.ConfigurationElement

The class provides a way to programmatically access and modify the error section of a configuration file. This type is part of a group that includes the , , and .

When you define a custom error, ASP.NET assigns to it the standard error normally issued by the underlying service, such as IIS. For instance, if you define a custom error for the status code 404, ASP.NET will issue it anytime you refer to a non-existing .aspx page. The custom errors are only issued for those elements handled by ASP.NET. For instance, if you refer to a non-existing .htm page, IIS issues the standard 404 error.

Configures a section to map an ASP.NET error code to a custom page. This class cannot be inherited.

- Constructor

  The constructor is not intended to be used directly from your code. It is called by the ASP.NET configuration system. You obtain an instance of the class by using the method.

  Initializes a new instance of the class.

  The HTTP status code that will result in redirection to the error page.
  The URL of the custom page mapped to the error code.
  2.0.0.0
- Method
  System.Boolean ``

  The method compares all errors against objects that are passed to the method.

  Compares errors.

  true if the errors are equal; otherwise, false.

  The error to compare against. 2.0.0.0
- Method
  System.Int32 To be added.

  Gets the object hash code.

  The object hash code.

  2.0.0.0
- Property
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added. 2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("redirect", Options=System.Configuration.ConfigurationPropertyOptions.IsRequired)
  System.Configuration.StringValidator(MinLength=1)
  System.String To be added.

  The property identifies the URL of the custom page associated with a specific error.

  Gets or sets the redirection URL.

  2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("statusCode", Options=System.Configuration.ConfigurationPropertyOptions.IsRequired | System.Configuration.ConfigurationPropertyOptions.IsKey)
  System.Configuration.IntegerValidator(MinValue=100, MaxValue=999)
  System.Int32 To be added.

  The HTTP status code is used by the ASP.NET infrastructure to redirect the application to the error page when a specific error occurs.

  The custom error is issued only if it is caused by an entity handled by ASP.NET; otherwise, a standard error is issued.

  Gets or sets the HTTP error status code.

  2.0.0.0